/***************************************************************************
 *                                                                         *
 *   EthernetMIDI - multiplatform MIDI over Ethernet / LAN                 *
 *                                                                         *
 *   Copyright (C) 2005 by Benno Senoner , Italy                           *
 *   http://www.linuxsampler.org/ethernetmidi                              *
 *   EMail: sbenno@gardena.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 ***************************************************************************/



#include "midithread.h"

MidiThread::MidiThread(MainWindow *mainwindow_ptr) 
{

  mainwindow = mainwindow_ptr;
}

MidiThread::~MidiThread() {
}


void MidiThread::run(void) {

/*
  while(1) {
    if(mainwindow->MidiEnabled) {
      mainwindow->MidiInActivity = 1;
      mainwindow->MidiOutActivity = 1;
    }
    QThread::sleep(1);
  }
*/

/*
  MMRESULT mmres;
  HMIDIOUT outhandle;


  mmres = midiOutOpen(&outhandle, 0, 0, 0, CALLBACK_NULL);
  if(mmres != MMSYSERR_NOERROR) {
  }
*/



  unsigned char buffer[256];
  int res;
  while(1) {

    if(mainwindow->MidiEnabled) {
      res = mainwindow->socketio->udpRecv(buffer, 4);
      mainwindow->MidiOutActivity = 1;
//mainwindow->testvalue = res;
      if(res == 4) {
        mainwindow->midiio->sendMidiData(buffer, 4);
/*
        DWORD mydword;
        memcpy(&mydword, buffer, 4);
        midiOutShortMsg(outhandle, mydword);
*/
      }

    }
    else {
      QThread::msleep(100);
      mainwindow->testvalue++;
    }

  }

}


